# Uses of Interface
org.apache.jute.InputArchive

Packages that use InputArchive
Package
Description
org.apache.jute
Hadoop record I/O contains classes and a record description language translator for simplifying serialization and deserialization of records in a language-neutral manner.
org.apache.zookeeper
org.apache.zookeeper.compat
org.apache.zookeeper.data
org.apache.zookeeper.proto
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.persistence
org.apache.zookeeper.server.quorum
org.apache.zookeeper.server.util
org.apache.zookeeper.txn

## Uses of InputArchive in org.apache.jute

Classes in org.apache.jute that implement InputArchive
Modifier and Type
Class
Description
`class`
`BinaryInputArchive`
Methods in org.apache.jute with parameters of type InputArchive
Modifier and Type
Method
Description
`void`
Record.`deserialize(InputArchive archive, String tag)`

## Uses of InputArchive in org.apache.zookeeper

Methods in org.apache.zookeeper with parameters of type InputArchive
Modifier and Type
Method
Description
`void`
DeleteContainerRequest.`deserialize(InputArchive archive, String tag)`
`void`
MultiOperationRecord.`deserialize(InputArchive archive, String tag)`
`void`
MultiResponse.`deserialize(InputArchive archive, String tag)`

## Uses of InputArchive in org.apache.zookeeper.compat

Methods in org.apache.zookeeper.compat with parameters of type InputArchive
Modifier and Type
Method
Description
`ConnectRequest`
ProtocolManager.`deserializeConnectRequest(InputArchive inputArchive)`
Deserializing `ConnectRequest` should be specially handled for request from client version before and including ZooKeeper 3.3 which doesn't understand readOnly field.
`ConnectResponse`
ProtocolManager.`deserializeConnectResponse(InputArchive inputArchive)`
Deserializing `ConnectResponse` should be specially handled for response from server version before and including ZooKeeper 3.3 which doesn't understand readOnly field.

## Uses of InputArchive in org.apache.zookeeper.data

Methods in org.apache.zookeeper.data with parameters of type InputArchive
Modifier and Type
Method
Description
`void`
ACL.`deserialize(InputArchive a_, String tag)`
`void`
ClientInfo.`deserialize(InputArchive a_, String tag)`
`void`
Id.`deserialize(InputArchive a_, String tag)`
`void`
Stat.`deserialize(InputArchive a_, String tag)`
`void`
StatPersisted.`deserialize(InputArchive a_, String tag)`

## Uses of InputArchive in org.apache.zookeeper.proto

Methods in org.apache.zookeeper.proto with parameters of type InputArchive
Modifier and Type
Method
Description
`void`
AddWatchRequest.`deserialize(InputArchive a_, String tag)`
`void`
AuthPacket.`deserialize(InputArchive a_, String tag)`
`void`
CheckVersionRequest.`deserialize(InputArchive a_, String tag)`
`void`
CheckWatchesRequest.`deserialize(InputArchive a_, String tag)`
`void`
ConnectRequest.`deserialize(InputArchive a_, String tag)`
`void`
ConnectResponse.`deserialize(InputArchive a_, String tag)`
`void`
Create2Response.`deserialize(InputArchive a_, String tag)`
`void`
CreateRequest.`deserialize(InputArchive a_, String tag)`
`void`
CreateResponse.`deserialize(InputArchive a_, String tag)`
`void`
CreateTTLRequest.`deserialize(InputArchive a_, String tag)`
`void`
DeleteRequest.`deserialize(InputArchive a_, String tag)`
`void`
ErrorResponse.`deserialize(InputArchive a_, String tag)`
`void`
ExistsRequest.`deserialize(InputArchive a_, String tag)`
`void`
ExistsResponse.`deserialize(InputArchive a_, String tag)`
`void`
GetACLRequest.`deserialize(InputArchive a_, String tag)`
`void`
GetACLResponse.`deserialize(InputArchive a_, String tag)`
`void`
GetAllChildrenNumberRequest.`deserialize(InputArchive a_, String tag)`
`void`
GetAllChildrenNumberResponse.`deserialize(InputArchive a_, String tag)`
`void`
GetChildren2Request.`deserialize(InputArchive a_, String tag)`
`void`
GetChildren2Response.`deserialize(InputArchive a_, String tag)`
`void`
GetChildrenRequest.`deserialize(InputArchive a_, String tag)`
`void`
GetChildrenResponse.`deserialize(InputArchive a_, String tag)`
`void`
GetDataRequest.`deserialize(InputArchive a_, String tag)`
`void`
GetDataResponse.`deserialize(InputArchive a_, String tag)`
`void`
GetEphemeralsRequest.`deserialize(InputArchive a_, String tag)`
`void`
GetEphemeralsResponse.`deserialize(InputArchive a_, String tag)`
`void`
GetMaxChildrenRequest.`deserialize(InputArchive a_, String tag)`
`void`
GetMaxChildrenResponse.`deserialize(InputArchive a_, String tag)`
`void`
GetSASLRequest.`deserialize(InputArchive a_, String tag)`
`void`
MultiHeader.`deserialize(InputArchive a_, String tag)`
`void`
ReconfigRequest.`deserialize(InputArchive a_, String tag)`
`void`
RemoveWatchesRequest.`deserialize(InputArchive a_, String tag)`
`void`
ReplyHeader.`deserialize(InputArchive a_, String tag)`
`void`
RequestHeader.`deserialize(InputArchive a_, String tag)`
`void`
SetACLRequest.`deserialize(InputArchive a_, String tag)`
`void`
SetACLResponse.`deserialize(InputArchive a_, String tag)`
`void`
SetDataRequest.`deserialize(InputArchive a_, String tag)`
`void`
SetDataResponse.`deserialize(InputArchive a_, String tag)`
`void`
SetMaxChildrenRequest.`deserialize(InputArchive a_, String tag)`
`void`
SetSASLRequest.`deserialize(InputArchive a_, String tag)`
`void`
SetSASLResponse.`deserialize(InputArchive a_, String tag)`
`void`
SetWatches.`deserialize(InputArchive a_, String tag)`
`void`
SetWatches2.`deserialize(InputArchive a_, String tag)`
`void`
SyncRequest.`deserialize(InputArchive a_, String tag)`
`void`
SyncResponse.`deserialize(InputArchive a_, String tag)`
`void`
WatcherEvent.`deserialize(InputArchive a_, String tag)`
`void`
WhoAmIResponse.`deserialize(InputArchive a_, String tag)`

## Uses of InputArchive in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server with parameters of type InputArchive
Modifier and Type
Method
Description
`void`
DataNode.`deserialize(InputArchive archive, String tag)`
`void`
DataTree.`deserialize(InputArchive ia, String tag)`
`void`
DataTree.ZxidDigest.`deserialize(InputArchive ia)`
`void`
ReferenceCountedACLCache.`deserialize(InputArchive ia)`
`boolean`
DataTree.`deserializeLastProcessedZxid(InputArchive ia)`
Deserializes the lastProcessedZxid from the input stream and updates the lastProcessedZxid field.
`void`
ZKDatabase.`deserializeSnapshot(InputArchive ia)`
deserialize a snapshot from an input archive
`void`
ZKDatabase.`deserializeSnapshot(InputArchive ia, CheckedInputStream is)`
Deserialize a snapshot that contains FileHeader from an input archive.
`boolean`
DataTree.`deserializeZxidDigest(InputArchive ia, long startZxidOfSnapshot)`
Deserializing the zxid digest from the input stream and update the digestFromLoadedSnapshot.

## Uses of InputArchive in org.apache.zookeeper.server.persistence

Methods in org.apache.zookeeper.server.persistence that return InputArchive
Modifier and Type
Method
Description
`protected InputArchive`
FileTxnLog.FileTxnIterator.`createInputArchive(File logFile)`
Invoked to indicate that the input stream has been created.
Methods in org.apache.zookeeper.server.persistence with parameters of type InputArchive
Modifier and Type
Method
Description
`static void`
SnapStream.`checkSealIntegrity(CheckedInputStream is, InputArchive ia)`
Verify the integrity of the seal, only CheckedInputStream will verify the checkSum of the content.
`void`
FileHeader.`deserialize(InputArchive a_, String tag)`
`static void`
FileSnap.`deserialize(DataTree dt, Map<Long,Integer> sessions, InputArchive ia)`
deserialize the datatree from an inputarchive
`protected void`
FileTxnLog.FileTxnIterator.`inStreamCreated(InputArchive ia, InputStream is)`
read the header from the inputarchive
`static byte[]`
Util.`readTxnBytes(InputArchive ia)`
Reads a transaction entry from the input archive.

## Uses of InputArchive in org.apache.zookeeper.server.quorum

Fields in org.apache.zookeeper.server.quorum declared as InputArchive
Modifier and Type
Field
Description
`protected InputArchive`
Learner.`leaderIs`
Methods in org.apache.zookeeper.server.quorum with parameters of type InputArchive
Modifier and Type
Method
Description
`void`
LearnerInfo.`deserialize(InputArchive a_, String tag)`
`void`
QuorumAuthPacket.`deserialize(InputArchive a_, String tag)`
`void`
QuorumPacket.`deserialize(InputArchive a_, String tag)`

## Uses of InputArchive in org.apache.zookeeper.server.util

Methods in org.apache.zookeeper.server.util with parameters of type InputArchive
Modifier and Type
Method
Description
`static void`
SerializeUtils.`deserializeSnapshot(DataTree dt, InputArchive ia, Map<Long,Integer> sessions)`

## Uses of InputArchive in org.apache.zookeeper.txn

Methods in org.apache.zookeeper.txn with parameters of type InputArchive
Modifier and Type
Method
Description
`void`
CheckVersionTxn.`deserialize(InputArchive a_, String tag)`
`void`
CloseSessionTxn.`deserialize(InputArchive a_, String tag)`
`void`
CreateContainerTxn.`deserialize(InputArchive a_, String tag)`
`void`
CreateSessionTxn.`deserialize(InputArchive a_, String tag)`
`void`
CreateTTLTxn.`deserialize(InputArchive a_, String tag)`
`void`
CreateTxn.`deserialize(InputArchive a_, String tag)`
`void`
CreateTxnV0.`deserialize(InputArchive a_, String tag)`
`void`
DeleteTxn.`deserialize(InputArchive a_, String tag)`
`void`
ErrorTxn.`deserialize(InputArchive a_, String tag)`
`void`
MultiTxn.`deserialize(InputArchive a_, String tag)`
`void`
SetACLTxn.`deserialize(InputArchive a_, String tag)`
`void`
SetDataTxn.`deserialize(InputArchive a_, String tag)`
`void`
SetMaxChildrenTxn.`deserialize(InputArchive a_, String tag)`
`void`
Txn.`deserialize(InputArchive a_, String tag)`
`void`
TxnDigest.`deserialize(InputArchive a_, String tag)`
`void`
TxnHeader.`deserialize(InputArchive a_, String tag)`